
<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Index &#8212; NL2Declare  documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="_static/alabaster.css" />
    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
    <script src="_static/jquery.js"></script>
    <script src="_static/underscore.js"></script>
    <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
    <script src="_static/doctools.js"></script>
    <link rel="index" title="Index" href="#" />
    <link rel="search" title="Search" href="search.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            

<h1 id="index">Index</h1>

<div class="genindex-jumpbox">
 <a href="#A"><strong>A</strong></a>
 | <a href="#B"><strong>B</strong></a>
 | <a href="#C"><strong>C</strong></a>
 | <a href="#D"><strong>D</strong></a>
 | <a href="#E"><strong>E</strong></a>
 | <a href="#F"><strong>F</strong></a>
 | <a href="#G"><strong>G</strong></a>
 | <a href="#H"><strong>H</strong></a>
 | <a href="#I"><strong>I</strong></a>
 | <a href="#L"><strong>L</strong></a>
 | <a href="#M"><strong>M</strong></a>
 | <a href="#N"><strong>N</strong></a>
 | <a href="#P"><strong>P</strong></a>
 | <a href="#Q"><strong>Q</strong></a>
 | <a href="#R"><strong>R</strong></a>
 | <a href="#S"><strong>S</strong></a>
 | <a href="#T"><strong>T</strong></a>
 | <a href="#W"><strong>W</strong></a>
 | <a href="#X"><strong>X</strong></a>
 
</div>
<h2 id="A">A</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="nl2declare.constructs.html#nl2declare.constructs.action.Action">Action (class in nl2declare.constructs.action)</a>
</li>
      <li><a href="nl2declare.constructs.html#nl2declare.constructs.action.Action.action_str">action_str() (nl2declare.constructs.action.Action method)</a>
</li>
      <li><a href="nl2declare.constructs.html#nl2declare.constructs.text_model.TextModel.add_action">add_action() (nl2declare.constructs.text_model.TextModel method)</a>
</li>
      <li><a href="nl2declare.constructs.html#nl2declare.constructs.text_model.TextModel.add_action_id">add_action_id() (nl2declare.constructs.text_model.TextModel method)</a>
</li>
      <li><a href="nl2declare.constructs.html#nl2declare.constructs.text_model.TextModel.add_interrelation">add_interrelation() (nl2declare.constructs.text_model.TextModel method)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="nl2declare.constructs.html#nl2declare.constructs.constraint_type.ConstraintType.ALTPRECEDENCE">ALTPRECEDENCE (nl2declare.constructs.constraint_type.ConstraintType attribute)</a>
</li>
      <li><a href="nl2declare.lingproc.html#nl2declare.lingproc.text_parser.TextParser.analyze_flow_actions">analyze_flow_actions() (nl2declare.lingproc.text_parser.TextParser method)</a>
</li>
      <li><a href="nl2declare.lingproc.html#nl2declare.lingproc.text_parser.TextParser.analyze_grammar">analyze_grammar() (nl2declare.lingproc.text_parser.TextParser method)</a>
</li>
      <li><a href="nl2declare.constructs.html#nl2declare.constructs.relation_type.RelationType.AND">AND (nl2declare.constructs.relation_type.RelationType attribute)</a>
</li>
      <li><a href="nl2declare.constructs.html#nl2declare.constructs.declare_constraint.DeclareConstraint.are_equal">are_equal() (nl2declare.constructs.declare_constraint.DeclareConstraint static method)</a>
</li>
      <li><a href="nl2declare.constructs.html#nl2declare.constructs.constraint_type.ConstraintType.ATMOSTONCE">ATMOSTONCE (nl2declare.constructs.constraint_type.ConstraintType attribute)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="B">B</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="nl2declare.lingproc.html#nl2declare.lingproc.text_parser.TextParser.build_noun_phrase">build_noun_phrase() (nl2declare.lingproc.text_parser.TextParser method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="C">C</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="nl2declare.application.html#nl2declare.application.d4py.compute_precision">compute_precision() (in module nl2declare.application.d4py)</a>
</li>
      <li><a href="nl2declare.html#nl2declare.conformance_checking">conformance_checking() (in module nl2declare)</a>
</li>
      <li><a href="nl2declare.constructs.html#nl2declare.constructs.constraint_type.ConstraintType">ConstraintType (class in nl2declare.constructs.constraint_type)</a>
</li>
      <li><a href="nl2declare.constructs.html#nl2declare.constructs.text_model.TextModel.contains_interrelation">contains_interrelation() (nl2declare.constructs.text_model.TextModel method)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="nl2declare.lingproc.html#nl2declare.lingproc.declare_constructor.DeclareConstructor.convert_to_declare_model">convert_to_declare_model() (nl2declare.lingproc.declare_constructor.DeclareConstructor method)</a>
</li>
      <li><a href="nl2declare.html#nl2declare.create_constraint_set_from_text">create_constraint_set_from_text() (in module nl2declare)</a>
</li>
      <li><a href="nl2declare.application.html#nl2declare.application.d4py.create_d4py_declaremodel">create_d4py_declaremodel() (in module nl2declare.application.d4py)</a>
</li>
      <li><a href="nl2declare.application.html#nl2declare.application.d4py.create_result_csv_content">create_result_csv_content() (in module nl2declare.application.d4py)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="D">D</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="nl2declare.constructs.html#nl2declare.constructs.declare_constraint.DeclareConstraint">DeclareConstraint (class in nl2declare.constructs.declare_constraint)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="nl2declare.lingproc.html#nl2declare.lingproc.declare_constructor.DeclareConstructor">DeclareConstructor (class in nl2declare.lingproc.declare_constructor)</a>
</li>
      <li><a href="nl2declare.constructs.html#nl2declare.constructs.declare_model.DeclareModel">DeclareModel (class in nl2declare.constructs.declare_model)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="E">E</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="nl2declare.constructs.html#nl2declare.constructs.constraint_type.ConstraintType.END">END (nl2declare.constructs.constraint_type.ConstraintType attribute)</a>
</li>
      <li><a href="nl2declare.evaluation.html#nl2declare.evaluation.evaluator.Evaluator.equal_actions">equal_actions() (nl2declare.evaluation.evaluator.Evaluator static method)</a>
</li>
      <li><a href="nl2declare.constructs.html#nl2declare.constructs.declare_constraint.DeclareConstraint.equals_gs">equals_gs() (nl2declare.constructs.declare_constraint.DeclareConstraint method)</a>
</li>
      <li><a href="nl2declare.evaluation.html#nl2declare.evaluation.evaluator.Evaluator.evaluate_case">evaluate_case() (nl2declare.evaluation.evaluator.Evaluator method)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="nl2declare.evaluation.html#nl2declare.evaluation.evaluator.Evaluator">Evaluator (class in nl2declare.evaluation.evaluator)</a>
</li>
      <li><a href="nl2declare.constructs.html#nl2declare.constructs.constraint_type.ConstraintType.EXISTENCE">EXISTENCE (nl2declare.constructs.constraint_type.ConstraintType attribute)</a>
</li>
      <li><a href="nl2declare.lingproc.html#nl2declare.lingproc.text_parser.TextParser.extract_noun_phrases">extract_noun_phrases() (nl2declare.lingproc.text_parser.TextParser method)</a>
</li>
      <li><a href="nl2declare.lingproc.html#nl2declare.lingproc.text_parser.TextParser.extract_verbs">extract_verbs() (nl2declare.lingproc.text_parser.TextParser method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="F">F</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="nl2declare.lingproc.html#nl2declare.lingproc.text_parser.TextParser.find_neighbor_action">find_neighbor_action() (nl2declare.lingproc.text_parser.TextParser method)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="nl2declare.constructs.html#nl2declare.constructs.relation_type.RelationType.FOLLOWS">FOLLOWS (nl2declare.constructs.relation_type.RelationType attribute)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="G">G</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="nl2declare.constructs.html#nl2declare.constructs.text_model.TextModel.get_action_by_verb_id">get_action_by_verb_id() (nl2declare.constructs.text_model.TextModel method)</a>
</li>
      <li><a href="nl2declare.html#nl2declare.get_activities_from_event_log">get_activities_from_event_log() (in module nl2declare)</a>
</li>
      <li><a href="nl2declare.actmatching.html#nl2declare.actmatching.activity_matching_bert.get_bert_embeddings">get_bert_embeddings() (in module nl2declare.actmatching.activity_matching_bert)</a>
</li>
      <li><a href="nl2declare.application.html#nl2declare.application.d4py.get_conformance_metrics">get_conformance_metrics() (in module nl2declare.application.d4py)</a>
</li>
      <li><a href="nl2declare.actmatching.html#nl2declare.actmatching.activity_matching_bert.get_cosine_similarity">get_cosine_similarity() (in module nl2declare.actmatching.activity_matching_bert)</a>
</li>
      <li><a href="nl2declare.actmatching.html#nl2declare.actmatching.activity_matching_bert.get_most_similar_activity">get_most_similar_activity() (in module nl2declare.actmatching.activity_matching_bert)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="nl2declare.actmatching.html#nl2declare.actmatching.activity_matching_bert.get_most_similar_activity_without_common_words">get_most_similar_activity_without_common_words() (in module nl2declare.actmatching.activity_matching_bert)</a>

      <ul>
        <li><a href="nl2declare.actmatching.html#nl2declare.actmatching.activity_matching_word2vec.get_most_similar_activity_without_common_words">(in module nl2declare.actmatching.activity_matching_word2vec)</a>
</li>
      </ul></li>
      <li><a href="nl2declare.constructs.html#nl2declare.constructs.text_model.TextModel.get_noun_phrase_by_index">get_noun_phrase_by_index() (nl2declare.constructs.text_model.TextModel method)</a>
</li>
      <li><a href="nl2declare.constructs.html#nl2declare.constructs.declare_model.DeclareModel.get_size">get_size() (nl2declare.constructs.declare_model.DeclareModel method)</a>
</li>
      <li><a href="nl2declare.constructs.html#nl2declare.constructs.constraint_type.ConstraintType.get_type">get_type() (nl2declare.constructs.constraint_type.ConstraintType static method)</a>
</li>
      <li><a href="nl2declare.evaluation.html#nl2declare.evaluation.evaluator.Evaluator.greedy_matching">greedy_matching() (nl2declare.evaluation.evaluator.Evaluator method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="H">H</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="nl2declare.actmatching.html#nl2declare.actmatching.activity_matching_bert.have_common_word">have_common_word() (in module nl2declare.actmatching.activity_matching_bert)</a>

      <ul>
        <li><a href="nl2declare.actmatching.html#nl2declare.actmatching.activity_matching_word2vec.have_common_word">(in module nl2declare.actmatching.activity_matching_word2vec)</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="I">I</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="nl2declare.constructs.html#nl2declare.constructs.noun_phrase.NounPhrase.in_span">in_span() (nl2declare.constructs.noun_phrase.NounPhrase method)</a>
</li>
      <li><a href="nl2declare.constructs.html#nl2declare.constructs.constraint_type.ConstraintType.INIT">INIT (nl2declare.constructs.constraint_type.ConstraintType attribute)</a>
</li>
      <li><a href="nl2declare.lingproc.html#nl2declare.lingproc.text_parser.TextParser.initialize">initialize() (nl2declare.lingproc.text_parser.TextParser method)</a>
</li>
      <li><a href="nl2declare.constructs.html#nl2declare.constructs.interrelation.Interrelation">Interrelation (class in nl2declare.constructs.interrelation)</a>
</li>
      <li><a href="nl2declare.constructs.html#nl2declare.constructs.noun_phrase.NounPhrase.is_empty">is_empty() (nl2declare.constructs.noun_phrase.NounPhrase method)</a>
</li>
      <li><a href="nl2declare.utils.html#nl2declare.utils.word_classes.WordClasses.is_end_verb">is_end_verb() (nl2declare.utils.word_classes.WordClasses method)</a>
</li>
      <li><a href="nl2declare.utils.html#nl2declare.utils.word_classes.WordClasses.is_flow_verb">is_flow_verb() (nl2declare.utils.word_classes.WordClasses method)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="nl2declare.utils.html#nl2declare.utils.word_classes.WordClasses.is_mandatory">is_mandatory() (nl2declare.utils.word_classes.WordClasses method)</a>
</li>
      <li><a href="nl2declare.lingproc.html#nl2declare.lingproc.declare_constructor.DeclareConstructor.is_meta_action">is_meta_action() (nl2declare.lingproc.declare_constructor.DeclareConstructor method)</a>
</li>
      <li><a href="nl2declare.utils.html#nl2declare.utils.word_classes.WordClasses.is_modal">is_modal() (nl2declare.utils.word_classes.WordClasses method)</a>
</li>
      <li><a href="nl2declare.utils.html#nl2declare.utils.word_classes.WordClasses.is_optional">is_optional() (nl2declare.utils.word_classes.WordClasses method)</a>
</li>
      <li><a href="nl2declare.utils.html#nl2declare.utils.word_classes.WordClasses.is_process_object">is_process_object() (nl2declare.utils.word_classes.WordClasses method)</a>
</li>
      <li><a href="nl2declare.utils.html#nl2declare.utils.word_classes.WordClasses.is_reverse_clause">is_reverse_clause() (nl2declare.utils.word_classes.WordClasses method)</a>
</li>
      <li><a href="nl2declare.utils.html#nl2declare.utils.word_classes.WordClasses.is_reverse_marker">is_reverse_marker() (nl2declare.utils.word_classes.WordClasses method)</a>
</li>
      <li><a href="nl2declare.utils.html#nl2declare.utils.word_classes.WordClasses.is_start_verb">is_start_verb() (nl2declare.utils.word_classes.WordClasses method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="L">L</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="nl2declare.utils.html#nl2declare.utils.io.load_cases">load_cases() (in module nl2declare.utils.io)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="nl2declare.utils.html#nl2declare.utils.io.load_csv">load_csv() (in module nl2declare.utils.io)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="M">M</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="nl2declare.lingproc.html#nl2declare.lingproc.text_parser.TextParser.merge_incomplete_actions">merge_incomplete_actions() (nl2declare.lingproc.text_parser.TextParser method)</a>
</li>
      <li>
    module

      <ul>
        <li><a href="nl2declare.html#module-nl2declare">nl2declare</a>
</li>
        <li><a href="nl2declare.actmatching.html#module-nl2declare.actmatching">nl2declare.actmatching</a>
</li>
        <li><a href="nl2declare.actmatching.html#module-nl2declare.actmatching.activity_matching_bert">nl2declare.actmatching.activity_matching_bert</a>
</li>
        <li><a href="nl2declare.actmatching.html#module-nl2declare.actmatching.activity_matching_word2vec">nl2declare.actmatching.activity_matching_word2vec</a>
</li>
        <li><a href="nl2declare.application.html#module-nl2declare.application">nl2declare.application</a>
</li>
        <li><a href="nl2declare.application.html#module-nl2declare.application.d4py">nl2declare.application.d4py</a>
</li>
        <li><a href="nl2declare.constructs.html#module-nl2declare.constructs">nl2declare.constructs</a>
</li>
        <li><a href="nl2declare.constructs.html#module-nl2declare.constructs.action">nl2declare.constructs.action</a>
</li>
        <li><a href="nl2declare.constructs.html#module-nl2declare.constructs.constraint_type">nl2declare.constructs.constraint_type</a>
</li>
        <li><a href="nl2declare.constructs.html#module-nl2declare.constructs.declare_constraint">nl2declare.constructs.declare_constraint</a>
</li>
        <li><a href="nl2declare.constructs.html#module-nl2declare.constructs.declare_model">nl2declare.constructs.declare_model</a>
</li>
        <li><a href="nl2declare.constructs.html#module-nl2declare.constructs.interrelation">nl2declare.constructs.interrelation</a>
</li>
        <li><a href="nl2declare.constructs.html#module-nl2declare.constructs.noun_phrase">nl2declare.constructs.noun_phrase</a>
</li>
        <li><a href="nl2declare.constructs.html#module-nl2declare.constructs.relation_type">nl2declare.constructs.relation_type</a>
</li>
        <li><a href="nl2declare.constructs.html#module-nl2declare.constructs.text_model">nl2declare.constructs.text_model</a>
</li>
        <li><a href="nl2declare.evaluation.html#module-nl2declare.evaluation">nl2declare.evaluation</a>
</li>
        <li><a href="nl2declare.evaluation.html#module-nl2declare.evaluation.evaluator">nl2declare.evaluation.evaluator</a>
</li>
        <li><a href="nl2declare.lingproc.html#module-nl2declare.lingproc">nl2declare.lingproc</a>
</li>
        <li><a href="nl2declare.lingproc.html#module-nl2declare.lingproc.declare_constructor">nl2declare.lingproc.declare_constructor</a>
</li>
        <li><a href="nl2declare.lingproc.html#module-nl2declare.lingproc.text_parser">nl2declare.lingproc.text_parser</a>
</li>
        <li><a href="nl2declare.test.html#module-nl2declare.test">nl2declare.test</a>
</li>
        <li><a href="nl2declare.test.lingproc.html#module-nl2declare.test.lingproc">nl2declare.test.lingproc</a>
</li>
        <li><a href="nl2declare.test.lingproc.html#module-nl2declare.test.lingproc.test_declare_constructor">nl2declare.test.lingproc.test_declare_constructor</a>
</li>
        <li><a href="nl2declare.test.lingproc.html#module-nl2declare.test.lingproc.test_text_parser">nl2declare.test.lingproc.test_text_parser</a>
</li>
        <li><a href="nl2declare.test.html#module-nl2declare.test.test__main__">nl2declare.test.test__main__</a>
</li>
        <li><a href="nl2declare.test.utils.html#module-nl2declare.test.utils">nl2declare.test.utils</a>
</li>
        <li><a href="nl2declare.test.utils.html#module-nl2declare.test.utils.test_io">nl2declare.test.utils.test_io</a>
</li>
        <li><a href="nl2declare.test.utils.html#module-nl2declare.test.utils.test_wordclasses">nl2declare.test.utils.test_wordclasses</a>
</li>
        <li><a href="nl2declare.utils.html#module-nl2declare.utils">nl2declare.utils</a>
</li>
        <li><a href="nl2declare.utils.html#module-nl2declare.utils.io">nl2declare.utils.io</a>
</li>
        <li><a href="nl2declare.utils.html#module-nl2declare.utils.word_classes">nl2declare.utils.word_classes</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="N">N</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li>
    nl2declare

      <ul>
        <li><a href="nl2declare.html#module-nl2declare">module</a>
</li>
      </ul></li>
      <li>
    nl2declare.actmatching

      <ul>
        <li><a href="nl2declare.actmatching.html#module-nl2declare.actmatching">module</a>
</li>
      </ul></li>
      <li>
    nl2declare.actmatching.activity_matching_bert

      <ul>
        <li><a href="nl2declare.actmatching.html#module-nl2declare.actmatching.activity_matching_bert">module</a>
</li>
      </ul></li>
      <li>
    nl2declare.actmatching.activity_matching_word2vec

      <ul>
        <li><a href="nl2declare.actmatching.html#module-nl2declare.actmatching.activity_matching_word2vec">module</a>
</li>
      </ul></li>
      <li>
    nl2declare.application

      <ul>
        <li><a href="nl2declare.application.html#module-nl2declare.application">module</a>
</li>
      </ul></li>
      <li>
    nl2declare.application.d4py

      <ul>
        <li><a href="nl2declare.application.html#module-nl2declare.application.d4py">module</a>
</li>
      </ul></li>
      <li>
    nl2declare.constructs

      <ul>
        <li><a href="nl2declare.constructs.html#module-nl2declare.constructs">module</a>
</li>
      </ul></li>
      <li>
    nl2declare.constructs.action

      <ul>
        <li><a href="nl2declare.constructs.html#module-nl2declare.constructs.action">module</a>
</li>
      </ul></li>
      <li>
    nl2declare.constructs.constraint_type

      <ul>
        <li><a href="nl2declare.constructs.html#module-nl2declare.constructs.constraint_type">module</a>
</li>
      </ul></li>
      <li>
    nl2declare.constructs.declare_constraint

      <ul>
        <li><a href="nl2declare.constructs.html#module-nl2declare.constructs.declare_constraint">module</a>
</li>
      </ul></li>
      <li>
    nl2declare.constructs.declare_model

      <ul>
        <li><a href="nl2declare.constructs.html#module-nl2declare.constructs.declare_model">module</a>
</li>
      </ul></li>
      <li>
    nl2declare.constructs.interrelation

      <ul>
        <li><a href="nl2declare.constructs.html#module-nl2declare.constructs.interrelation">module</a>
</li>
      </ul></li>
      <li>
    nl2declare.constructs.noun_phrase

      <ul>
        <li><a href="nl2declare.constructs.html#module-nl2declare.constructs.noun_phrase">module</a>
</li>
      </ul></li>
      <li>
    nl2declare.constructs.relation_type

      <ul>
        <li><a href="nl2declare.constructs.html#module-nl2declare.constructs.relation_type">module</a>
</li>
      </ul></li>
      <li>
    nl2declare.constructs.text_model

      <ul>
        <li><a href="nl2declare.constructs.html#module-nl2declare.constructs.text_model">module</a>
</li>
      </ul></li>
      <li>
    nl2declare.evaluation

      <ul>
        <li><a href="nl2declare.evaluation.html#module-nl2declare.evaluation">module</a>
</li>
      </ul></li>
      <li>
    nl2declare.evaluation.evaluator

      <ul>
        <li><a href="nl2declare.evaluation.html#module-nl2declare.evaluation.evaluator">module</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li>
    nl2declare.lingproc

      <ul>
        <li><a href="nl2declare.lingproc.html#module-nl2declare.lingproc">module</a>
</li>
      </ul></li>
      <li>
    nl2declare.lingproc.declare_constructor

      <ul>
        <li><a href="nl2declare.lingproc.html#module-nl2declare.lingproc.declare_constructor">module</a>
</li>
      </ul></li>
      <li>
    nl2declare.lingproc.text_parser

      <ul>
        <li><a href="nl2declare.lingproc.html#module-nl2declare.lingproc.text_parser">module</a>
</li>
      </ul></li>
      <li>
    nl2declare.test

      <ul>
        <li><a href="nl2declare.test.html#module-nl2declare.test">module</a>
</li>
      </ul></li>
      <li>
    nl2declare.test.lingproc

      <ul>
        <li><a href="nl2declare.test.lingproc.html#module-nl2declare.test.lingproc">module</a>
</li>
      </ul></li>
      <li>
    nl2declare.test.lingproc.test_declare_constructor

      <ul>
        <li><a href="nl2declare.test.lingproc.html#module-nl2declare.test.lingproc.test_declare_constructor">module</a>
</li>
      </ul></li>
      <li>
    nl2declare.test.lingproc.test_text_parser

      <ul>
        <li><a href="nl2declare.test.lingproc.html#module-nl2declare.test.lingproc.test_text_parser">module</a>
</li>
      </ul></li>
      <li>
    nl2declare.test.test__main__

      <ul>
        <li><a href="nl2declare.test.html#module-nl2declare.test.test__main__">module</a>
</li>
      </ul></li>
      <li>
    nl2declare.test.utils

      <ul>
        <li><a href="nl2declare.test.utils.html#module-nl2declare.test.utils">module</a>
</li>
      </ul></li>
      <li>
    nl2declare.test.utils.test_io

      <ul>
        <li><a href="nl2declare.test.utils.html#module-nl2declare.test.utils.test_io">module</a>
</li>
      </ul></li>
      <li>
    nl2declare.test.utils.test_wordclasses

      <ul>
        <li><a href="nl2declare.test.utils.html#module-nl2declare.test.utils.test_wordclasses">module</a>
</li>
      </ul></li>
      <li>
    nl2declare.utils

      <ul>
        <li><a href="nl2declare.utils.html#module-nl2declare.utils">module</a>
</li>
      </ul></li>
      <li>
    nl2declare.utils.io

      <ul>
        <li><a href="nl2declare.utils.html#module-nl2declare.utils.io">module</a>
</li>
      </ul></li>
      <li>
    nl2declare.utils.word_classes

      <ul>
        <li><a href="nl2declare.utils.html#module-nl2declare.utils.word_classes">module</a>
</li>
      </ul></li>
      <li><a href="nl2declare.lingproc.html#nl2declare.lingproc.text_parser.TextParser.nlp_pipeline">nlp_pipeline (nl2declare.lingproc.text_parser.TextParser attribute)</a>
</li>
      <li><a href="nl2declare.constructs.html#nl2declare.constructs.text_model.TextModel.no_of_flow_actions">no_of_flow_actions() (nl2declare.constructs.text_model.TextModel method)</a>
</li>
      <li><a href="nl2declare.constructs.html#nl2declare.constructs.constraint_type.ConstraintType.NOTRESPONSE">NOTRESPONSE (nl2declare.constructs.constraint_type.ConstraintType attribute)</a>
</li>
      <li><a href="nl2declare.constructs.html#nl2declare.constructs.constraint_type.ConstraintType.NOTSUCCESSION">NOTSUCCESSION (nl2declare.constructs.constraint_type.ConstraintType attribute)</a>
</li>
      <li><a href="nl2declare.constructs.html#nl2declare.constructs.noun_phrase.NounPhrase">NounPhrase (class in nl2declare.constructs.noun_phrase)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="P">P</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="nl2declare.lingproc.html#nl2declare.lingproc.text_parser.TextParser.parse_constraint_string">parse_constraint_string() (nl2declare.lingproc.text_parser.TextParser method)</a>
</li>
      <li><a href="nl2declare.lingproc.html#nl2declare.lingproc.text_parser.TextParser.post_relation_processing">post_relation_processing() (nl2declare.lingproc.text_parser.TextParser method)</a>
</li>
      <li><a href="nl2declare.constructs.html#nl2declare.constructs.constraint_type.ConstraintType.PRECEDENCE">PRECEDENCE (nl2declare.constructs.constraint_type.ConstraintType attribute)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="nl2declare.constructs.html#nl2declare.constructs.text_model.TextModel.preceeding_actions">preceeding_actions() (nl2declare.constructs.text_model.TextModel method)</a>
</li>
      <li><a href="nl2declare.evaluation.html#nl2declare.evaluation.evaluator.Evaluator.print_collection_results">print_collection_results() (nl2declare.evaluation.evaluator.Evaluator method)</a>
</li>
      <li><a href="nl2declare.evaluation.html#nl2declare.evaluation.evaluator.Evaluator.print_overall_results">print_overall_results() (nl2declare.evaluation.evaluator.Evaluator method)</a>
</li>
      <li><a href="nl2declare.lingproc.html#nl2declare.lingproc.text_parser.TextParser.process_complex_noun_phrases">process_complex_noun_phrases() (nl2declare.lingproc.text_parser.TextParser method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="Q">Q</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="nl2declare.evaluation.html#nl2declare.evaluation.evaluator.Evaluator.quantify_match">quantify_match() (nl2declare.evaluation.evaluator.Evaluator method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="R">R</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="nl2declare.constructs.html#nl2declare.constructs.relation_type.RelationType">RelationType (class in nl2declare.constructs.relation_type)</a>
</li>
      <li><a href="nl2declare.actmatching.html#nl2declare.actmatching.activity_matching_bert.remove_common_words">remove_common_words() (in module nl2declare.actmatching.activity_matching_bert)</a>

      <ul>
        <li><a href="nl2declare.actmatching.html#nl2declare.actmatching.activity_matching_word2vec.remove_common_words">(in module nl2declare.actmatching.activity_matching_word2vec)</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="nl2declare.constructs.html#nl2declare.constructs.constraint_type.ConstraintType.RESPONSE">RESPONSE (nl2declare.constructs.constraint_type.ConstraintType attribute)</a>
</li>
      <li><a href="nl2declare.lingproc.html#nl2declare.lingproc.text_parser.TextParser.reversedCondition">reversedCondition() (nl2declare.lingproc.text_parser.TextParser method)</a>
</li>
      <li><a href="nl2declare.html#nl2declare.run_on_csv">run_on_csv() (in module nl2declare)</a>
</li>
      <li><a href="nl2declare.html#nl2declare.run_on_text">run_on_text() (in module nl2declare)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="S">S</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="nl2declare.constructs.html#nl2declare.constructs.action.Action.set_verb">set_verb() (nl2declare.constructs.action.Action method)</a>
</li>
      <li><a href="nl2declare.constructs.html#nl2declare.constructs.declare_constraint.DeclareConstraint.size">size() (nl2declare.constructs.declare_constraint.DeclareConstraint method)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="nl2declare.constructs.html#nl2declare.constructs.text_model.TextModel.succeeding_actions">succeeding_actions() (nl2declare.constructs.text_model.TextModel method)</a>
</li>
      <li><a href="nl2declare.constructs.html#nl2declare.constructs.constraint_type.ConstraintType.SUCCESSION">SUCCESSION (nl2declare.constructs.constraint_type.ConstraintType attribute)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="T">T</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="nl2declare.test.lingproc.html#nl2declare.test.lingproc.test_declare_constructor.test_declare_constructor_end">test_declare_constructor_end() (in module nl2declare.test.lingproc.test_declare_constructor)</a>
</li>
      <li><a href="nl2declare.test.lingproc.html#nl2declare.test.lingproc.test_declare_constructor.test_declare_constructor_end2">test_declare_constructor_end2() (in module nl2declare.test.lingproc.test_declare_constructor)</a>
</li>
      <li><a href="nl2declare.test.lingproc.html#nl2declare.test.lingproc.test_declare_constructor.test_declare_constructor_precedence">test_declare_constructor_precedence() (in module nl2declare.test.lingproc.test_declare_constructor)</a>
</li>
      <li><a href="nl2declare.test.lingproc.html#nl2declare.test.lingproc.test_declare_constructor.test_declare_constructor_response">test_declare_constructor_response() (in module nl2declare.test.lingproc.test_declare_constructor)</a>
</li>
      <li><a href="nl2declare.test.lingproc.html#nl2declare.test.lingproc.test_declare_constructor.test_declare_constructor_start">test_declare_constructor_start() (in module nl2declare.test.lingproc.test_declare_constructor)</a>
</li>
      <li><a href="nl2declare.test.lingproc.html#nl2declare.test.lingproc.test_declare_constructor.test_declare_constructor_start2">test_declare_constructor_start2() (in module nl2declare.test.lingproc.test_declare_constructor)</a>
</li>
      <li><a href="nl2declare.test.lingproc.html#nl2declare.test.lingproc.test_declare_constructor.test_declare_constructor_succession">test_declare_constructor_succession() (in module nl2declare.test.lingproc.test_declare_constructor)</a>
</li>
      <li><a href="nl2declare.test.utils.html#nl2declare.test.utils.test_io.test_load_cases_with_missing_file">test_load_cases_with_missing_file() (in module nl2declare.test.utils.test_io)</a>
</li>
      <li><a href="nl2declare.test.utils.html#nl2declare.test.utils.test_io.test_load_cases_with_missing_header">test_load_cases_with_missing_header() (in module nl2declare.test.utils.test_io)</a>
</li>
      <li><a href="nl2declare.test.html#nl2declare.test.test__main__.test_main_run_approach_on_csv_file">test_main_run_approach_on_csv_file() (in module nl2declare.test.test__main__)</a>
</li>
      <li><a href="nl2declare.test.html#nl2declare.test.test__main__.test_main_run_single_constraint">test_main_run_single_constraint() (in module nl2declare.test.test__main__)</a>
</li>
      <li><a href="nl2declare.test.lingproc.html#nl2declare.test.lingproc.test_text_parser.test_text_parser_change_direction">test_text_parser_change_direction() (in module nl2declare.test.lingproc.test_text_parser)</a>
</li>
      <li><a href="nl2declare.test.lingproc.html#nl2declare.test.lingproc.test_text_parser.test_text_parser_empty_model">test_text_parser_empty_model() (in module nl2declare.test.lingproc.test_text_parser)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="nl2declare.test.lingproc.html#nl2declare.test.lingproc.test_text_parser.test_text_parser_is_preceded">test_text_parser_is_preceded() (in module nl2declare.test.lingproc.test_text_parser)</a>
</li>
      <li><a href="nl2declare.test.lingproc.html#nl2declare.test.lingproc.test_text_parser.test_text_parser_one_action">test_text_parser_one_action() (in module nl2declare.test.lingproc.test_text_parser)</a>
</li>
      <li><a href="nl2declare.test.lingproc.html#nl2declare.test.lingproc.test_text_parser.test_text_parser_passive_required_form">test_text_parser_passive_required_form() (in module nl2declare.test.lingproc.test_text_parser)</a>
</li>
      <li><a href="nl2declare.test.lingproc.html#nl2declare.test.lingproc.test_text_parser.test_text_parser_proper_noun_flat">test_text_parser_proper_noun_flat() (in module nl2declare.test.lingproc.test_text_parser)</a>
</li>
      <li><a href="nl2declare.test.lingproc.html#nl2declare.test.lingproc.test_text_parser.test_text_parser_two_mandatory_verbs">test_text_parser_two_mandatory_verbs() (in module nl2declare.test.lingproc.test_text_parser)</a>
</li>
      <li><a href="nl2declare.test.utils.html#nl2declare.test.utils.test_wordclasses.test_wordclasses_is_end_verb">test_wordclasses_is_end_verb() (in module nl2declare.test.utils.test_wordclasses)</a>
</li>
      <li><a href="nl2declare.test.utils.html#nl2declare.test.utils.test_wordclasses.test_wordclasses_is_flow_verb">test_wordclasses_is_flow_verb() (in module nl2declare.test.utils.test_wordclasses)</a>
</li>
      <li><a href="nl2declare.test.utils.html#nl2declare.test.utils.test_wordclasses.test_wordclasses_is_modal">test_wordclasses_is_modal() (in module nl2declare.test.utils.test_wordclasses)</a>
</li>
      <li><a href="nl2declare.test.utils.html#nl2declare.test.utils.test_wordclasses.test_wordclasses_is_optional">test_wordclasses_is_optional() (in module nl2declare.test.utils.test_wordclasses)</a>
</li>
      <li><a href="nl2declare.test.utils.html#nl2declare.test.utils.test_wordclasses.test_wordclasses_is_process_object">test_wordclasses_is_process_object() (in module nl2declare.test.utils.test_wordclasses)</a>
</li>
      <li><a href="nl2declare.test.utils.html#nl2declare.test.utils.test_wordclasses.test_wordclasses_is_start_verb">test_wordclasses_is_start_verb() (in module nl2declare.test.utils.test_wordclasses)</a>
</li>
      <li><a href="nl2declare.constructs.html#nl2declare.constructs.text_model.TextModel">TextModel (class in nl2declare.constructs.text_model)</a>
</li>
      <li><a href="nl2declare.lingproc.html#nl2declare.lingproc.text_parser.TextParser">TextParser (class in nl2declare.lingproc.text_parser)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="W">W</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="nl2declare.utils.html#nl2declare.utils.word_classes.WordClasses">WordClasses (class in nl2declare.utils.word_classes)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="X">X</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="nl2declare.constructs.html#nl2declare.constructs.relation_type.RelationType.XOR">XOR (nl2declare.constructs.relation_type.RelationType attribute)</a>
</li>
  </ul></td>
</tr></table>



          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="index.html">NL2Declare</a></h1>








<h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="modules.html">nl2declare</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2024, Pia Halkour, Marc Ludevid Wulf, Julian Kofferath.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 5.0.2</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.12</a>
      
    </div>

    

    
  </body>
</html>